Subject: Re: [ANNOUNCEMENT] [1.7] Updated: file-5.00-1
From: Corinna Vinschen <[email-masked]>
To: [email-masked]
Cc: Dave Korn <[email-masked]>
Date: Fri, 20 Feb 2009 10:59:16 +0100
List-Id: <cygwin.cygwin.com>

On Feb 19 23:03, Charles Wilson wrote:
> Corinna Vinschen wrote:
> > I've updated the Cygwin 1.7 version of file to 5.00-1.
> 
> Odd behavior: after I did a rebaseall, I was consistently seeing
> coredumps using this version of file.  Reverting to the older version of
> file fixed it, as did re-installing the new version.
> 
> I haven't rebased again, but is there any reason to suspect that
> cygmagic-1.dll is not rebaseable?

Apparently.  I rebased the DLL alone and afterwards file simply stopped
working.  The DLL has a base address of 0x6a500000.  Even rebasing to
the very same address results in a coredump!

The DLL has been built with -static-libgcc.  Assuming that this might
have been the reason I rebuilt the file package without -static-libgcc,
so the DLL now depends on cyggcc_s.dll.  And, guess what, afterwards
the DLL is rebaseable just fine.

Dave?  Any idea why this occurs?  The crash happens when the Cygwin DLL
is running the ctors list.  Given that the file package is using plain
C, it seems that a static libgcc is non-relocatable for whatever reason.

For the time being, I create and uploaded a new file package which 
depends on gcc4-runtime.

Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Project Co-Leader          cygwin AT cygwin DOT com
Red Hat

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/